org.apache.maven.scm.provider.cvslib.command.branch

## Class AbstractCvsBranchCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.branch.AbstractBranchCommand
    - - org.apache.maven.scm.provider.cvslib.command.branch.AbstractCvsBranchCommand

- All Implemented Interfaces:
    Command, CvsCommand
  Direct Known Subclasses:
    CvsExeBranchCommand, CvsJavaBranchCommand

      public abstract class AbstractCvsBranchCommand
      extends AbstractBranchCommand
      implements CvsCommand

  Version:
    $Id: AbstractCvsBranchCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
  Author:
    Emmanuel Venisse

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCvsBranchCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ScmResult` | `executeBranchCommand(ScmProviderRepository repo, ScmFileSet fileSet, String branchName, String message)`
    `protected abstract BranchScmResult` | `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)`

    - ### Methods inherited from class org.apache.maven.scm.command.branch.AbstractBranchCommand

      `executeBranchCommand, executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### AbstractCvsBranchCommand

          public AbstractCvsBranchCommand()

  - ### Method Detail

    - #### executeBranchCommand

          protected ScmResult executeBranchCommand(ScmProviderRepository repo,
                                       ScmFileSet fileSet,
                                       String branchName,
                                       String message)
                                            throws ScmException

      Specified by:
        `executeBranchCommand` in class `AbstractBranchCommand`
      Throws:
        `ScmException`

    - #### executeCvsCommand

          protected abstract BranchScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)
                                                        throws ScmException

      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.